Loading ...
Sorry, an error occurred while loading the content.
 

upgrade perl 5.6.1 to 5.8.5

Expand Messages
  • Gokul P. Nair
    I m currently using perl v5.6.1 and would like to upgrade it to v5.8.5, also when i download and install modules from cpan.org it prints this at the end of
    Message 1 of 2 , Mar 2 7:22 PM
      I'm currently using perl v5.6.1 and would like to
      upgrade it to v5.8.5, also when i download and install
      modules from cpan.org it prints this at the end of
      installation:
      "Appending installation info to
      /usr/lib/perl/5.6.1/perllocal.pod"
      I have 2 questions:
      1. How do i upgrade from 5.6.1 to 5.8.5
      2. that it is If i upgrade to perl 5.8.5, am i going
      to lose all the modules i built and installed, if no,
      how do i make sure that all these modules that i built
      and installed are still available in the newer
      version.

      thanks in advance.

      Gokul




      __________________________________
      Celebrate Yahoo!'s 10th Birthday!
      Yahoo! Netrospective: 100 Moments of the Web
      http://birthday.yahoo.com/netrospective/
    • Stas Bekman
      ... Gokul, please remember that this is a mod_perl list. To ask perl-specific questions please use some of the lists you can find here: http://lists.perl.org/,
      Message 2 of 2 , Mar 2 8:01 PM
        Gokul P. Nair wrote:
        > I'm currently using perl v5.6.1 and would like to
        > upgrade it to v5.8.5, also when i download and install
        > modules from cpan.org it prints this at the end of
        > installation:
        > "Appending installation info to
        > /usr/lib/perl/5.6.1/perllocal.pod"
        > I have 2 questions:
        > 1. How do i upgrade from 5.6.1 to 5.8.5
        > 2. that it is If i upgrade to perl 5.8.5, am i going
        > to lose all the modules i built and installed, if no,
        > how do i make sure that all these modules that i built
        > and installed are still available in the newer
        > version.

        Gokul, please remember that this is a mod_perl list. To ask perl-specific
        questions please use some of the lists you can find here:
        http://lists.perl.org/, http://perlmonks.org/, etc.

        The only relevant part might be the mod_perl. So the answer is: Once
        you've upgraded to 5.8.5, you will need to reinstall mod_perl and all the
        modules that include XS/C code in them. But since usually you get a
        completely empty tree you will need to reinstall all modules. You can
        simplify the task using CPAN.pm's autobundle:
        http://search.cpan.org/dist/CPAN/lib/CPAN.pm#autobundle

        --
        __________________________________________________________________
        Stas Bekman JAm_pH ------> Just Another mod_perl Hacker
        http://stason.org/ mod_perl Guide ---> http://perl.apache.org
        mailto:stas@... http://use.perl.org http://apacheweek.com
        http://modperlbook.org http://apache.org http://ticketmaster.com
      Your message has been successfully submitted and would be delivered to recipients shortly.